Page MenuHomePhabricator

Document differences between Ruby and Node.js Selenium frameworks
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptDec 12 2017, 3:29 PM
zeljkofilipin triaged this task as Low priority.Dec 12 2017, 3:29 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin raised the priority of this task from Low to High.Feb 27 2018, 3:11 PM
Krinkle removed a subscriber: Krinkle.Mar 1 2018, 10:13 PM
zeljkofilipin lowered the priority of this task from High to Normal.Mar 26 2018, 12:09 PM

@hashar this task could be a good place to discus your concerns from 439615. I'll copy/paste them here:

Hashar
Patch Set 1: Code-Review-1
No no. We agreed to have all the boilerplate at a single place (mediawiki/core) to ease the maintenance. We cant afford to have that code and list of dependencies scattered all in multiple repositories.
If it is too hard to run a specific extensions test or a single spec file, lets enhance the doc in mediawiki/core ( tests/selenium/README ) and eventually add an helper in core ( similar to tests/selenium/selenium.sh ).

I have no opinion on if tests should exclusively run from core or if should make it possible to run them from an extension. I do care about making it consistent. ORES is already set up to run tests from the extension. I have thought you were aware that @Jdlrobson has requested it and that @Krinkle has implemented it, but you might have been busy with other things at the time and missed it.

@zeljkofilipin @hashar I replied at T193943, which seems to be about the same. See T193943#4313350.

hashar closed this task as Resolved.Dec 31 2018, 10:17 AM

We started wdio test suite by following the same principle we had for QUnit: have everything in mediawiki/core. @Krinkle did a nice analysis at T193943#4313350 about why it would be better to decentralize: namely that lets extensions upgrade at their own pace and mediawiki/core changes are not going to break the tests.

We have the shared code maintained in mediawiki/core in tests/selenium/wdio-mediawiki. It is a published npm package: wdio-mediawiki. Extensions rely on that npm package instead of the code in core.